Bug 135300 - Mark photos for batch processing
Summary: Mark photos for batch processing
Status: RESOLVED WORKSFORME
Alias: None
Product: digikam
Classification: Unclassified
Component: Albums-MainView (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-08 20:58 UTC by Dmitriy Morozov
Modified: 2007-06-17 19:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitriy Morozov 2006-10-08 20:58:22 UTC
Version:            (using KDE KDE 3.5.4)
Installed from:    Unlisted Binary Package

It would be nice if in the dialogs that involve batch processing (e.g., uploading photos to a gallery site), one didn't have to go through the "Add..." button. Instead, one could mark the photos that he or she wants batch processed with a special flag ahead of time, and then tell the dialog to use those photos.
Comment 1 Arnd Baecker 2007-06-01 19:42:53 UTC
If one selects a bunch of images (e.g. via CTRL+left mouse) in the
album view and then invokes "Batch process" all the selected
images show up in the list.
(Of course, one can still then use Add/Remove)

Does this do what you want?

If so, this bug should be closed.
Comment 2 Dmitriy Morozov 2007-06-17 17:44:10 UTC
No, it's not what I had in mind. CTRL+left mouse is too poor of an interface for this. One wrong click, and an elaborate selection of photos that one meant to batch process disappears. 
Comment 3 Arnd Baecker 2007-06-17 18:01:27 UTC
I see. 
For more complicated selections I use a temporary tag. 
Selecting this tag (in the left-hand side-bar) brings up all images
which were marked this way. Pressing CTRL-A selects all of them, so
that one can then use them in the batch process.

Is this better? And if not what would be a better way to
achieve what you have in mind?
If using the already implemented tagging is an option,
maybe using a single key shortcut for such a tag would be fastest?
Comment 4 Dmitriy Morozov 2007-06-17 18:23:00 UTC
That's actually great. I think it accomplishes exactly what I want. Thanks!
Comment 5 Mikolaj Machowski 2007-06-17 18:27:05 UTC
I wonder if LightTable could be used for this.
Comment 6 Dmitriy Morozov 2007-06-17 18:35:26 UTC
Hm, that too is a great idea. Is there a way to batch add photos from the LightTable?
Comment 7 caulier.gilles 2007-06-17 18:39:26 UTC
The Light Table is not dedicaced for batch processing....

..But i have plan to add a new Batch Queue Manager tool in digiKam....

Gilles Caulier
Comment 8 Arnd Baecker 2007-06-17 19:15:32 UTC
Also in the light-table the tagging side-bar is available
(actually two of them, one for the left and one for the right image).
So it could be used as well.
However, to populate the light-table, the images have to be marked
in the album view and then added via F6.
So I am not sure whether this will help a lot for the original task.

Dmitriy, once you have tried the suggested approach,
and it works well for you, it would be great if you could
close this bug (unless you have further suggestions,
which are of course very much appreciated!).

Best, Arnd
Comment 9 Dmitriy Morozov 2007-06-17 19:24:19 UTC
Closing in favor of the temporary tag resolution.